<mat-card>
    <mat-card-content>
        <mat-card-title>Filtered table</mat-card-title>
        <mat-form-field>
            <input matInput type='text' class="form-control" placeholder='Type to filter the name column...' (keyup)='updateFilter($event)'
            />
        </mat-form-field>
        <ngx-datatable #table class='material' [columns]="columns" [columnMode]="'force'" [headerHeight]="50" [footerHeight]="50"
            [rowHeight]="'auto'" [limit]="10" [rows]='rows'>
        </ngx-datatable>
    </mat-card-content>
</mat-card>
